import { IConnection, INode, INodeExecutionData, IRunData, IRunExecutionData, IWorkflowExecuteAdditionalData, WorkflowExecuteMode, Workflow } from 'n8n-workflow';
export declare class WorkflowExecute {
    private additionalData;
    private mode;
    private activeExecutions;
    private executionId;
    constructor(additionalData: IWorkflowExecuteAdditionalData, mode: WorkflowExecuteMode);
    run(workflow: Workflow, startNodes?: INode[], destinationNode?: string): Promise<string>;
    runPartialWorkflow(workflow: Workflow, runData: IRunData, startNodes: string[], destinationNode: string): Promise<string>;
    executeHook(hookName: string, parameters: any[]): Promise<void>;
    addNodeToBeExecuted(workflow: Workflow, runExecutionData: IRunExecutionData, connectionData: IConnection, outputIndex: number, parentNodeName: string, nodeSuccessData: INodeExecutionData[][], runIndex: number): void;
    runExecutionData(workflow: Workflow, runExecutionData: IRunExecutionData): Promise<string>;
}
